Get a users's credit balances
curl --request GET \
--url https://api-dev.rain.xyz/v1/issuing/users/{userId}/balances \
--header 'Api-Key: <api-key>'import requests
url = "https://api-dev.rain.xyz/v1/issuing/users/{userId}/balances"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api-dev.rain.xyz/v1/issuing/users/{userId}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creditLimit": 123,
"pendingCharges": 123,
"postedCharges": 123,
"balanceDue": 123,
"spendingPower": 123,
"spendingPowerWithWallet": 123
}Balances
Get a users's credit balances
GET
/
issuing
/
users
/
{userId}
/
balances
Get a users's credit balances
Authorizations
Path Parameters
Id of the user to get balances for
Response
Successful operation
Credit limit of the user, in cents
Pending charges of the user, in cents
Posted charges of the user, in cents
Balance due of the user, in cents
The amount of money the user can spend, in cents
The user's total spending power including any USDC that can be pulled from their linked on-chain wallet at authorization time, in cents. This equals spendingPower plus the minimum of the user's wallet balance and approved allowance, summed across all supported chains. Only present for tenants using wallet allowance collateral sourcing.